@extends('admin.layout')

@section('content')


<div class="wrapper wrapper-content animated fadeInRight">
	<div class="row">
		<div class="col-sm-12">
			<div class="ibox float-e-margins">
				<div class="ibox-title">
					<h5>画册分类</h5>
					<div class="ibox-tools">
						<a class="collapse-link"> <i class="fa fa-chevron-up"></i>
						</a>
					</div>
				</div>
				<div class="ibox-content">
				    <div class="row">
				        <form method="GET" action="" accept-charset="UTF-8">

				        <div class="col-sm-4">
				            <div class="input-group">
								<input type="text" value="{{Request::get('keyword')}}"	placeholder="请输入ID/分类名称" name="keyword" class="input-sm form-control">
								<span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
    						</div>
				        </div>
				        </form>
						@if(role('Album/Cat/create'))
    					<div class="col-sm-3 pull-right">
    					   <a href="{{ U('Album/Cat/create')}}" class="btn btn-sm btn-primary pull-right">添加</a>
    					</div>
						@endif
					</div>
					
					<table class="table table-striped table-bordered table-hover dataTables-example dataTable">
						<thead>
    						<tr>
								
            <th class="sorting" data-sort="id" width="15%"> ID </th>
            <th class="sorting" data-sort="name" width="20%"> 名称 </th>
            <th class="sorting" data-sort="sort" width="10%"> 排序 </th>
            <th class="sorting" data-sort="pic_url" width="15%"> 分类图标 </th>
            <th class="sorting" data-sort="created_at" width="18%"> 添加时间 </th>
        						<th width="22%">相关操作</th>
        					</tr>
						</thead>
						<tbody>
							@if(isset($list))
							@foreach($list as $key => $item)
								<tr style="background-color: white;">
									<td>{{ $item->id }}</td>
									<td>{{ $item->name }}</td>
									<td>{{ $item->sort }}</td>
									<td><img src="{{ $item->pic_url }}" width="50"/></td>
									<td>{{ $item->created_at }}</td>
									<td>
										<div class="pull-left">
											@if(role('Album/Cat/update'))
												<a href="{{ U('Album/Cat/update',['id'=>$item->id])}}" class="btn btn-sm btn-warning pull-right">修改</a>
											@endif
											@if(role('Album/Cat/destroy'))
												<a href="{{ U('Album/Cat/destroy',['id'=>$item->id])}}" onclick="return confirm('你确定执行删除操作？');" class="btn btn-sm btn-danger pull-right">删除</a>
											@endif
											@if(count($item->sonlist) > 0)
												<a id="a{{ $item->id }}" onclick="showHidden({{ $item->id }})" class="btn btn-sm btn-default pull-right">查看</a>
											@endif
										</div>
									{{--@if(role('Album/Cat/view'))
											<button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Album/Cat/view',['id'=>$item->id])}}'});"  class="btn btn-primary ">查看</button>
										@endif--}}
									</td>
								</tr>
								@if(isset($item->sonlist))
									@foreach($item->sonlist as $k => $t)
											<tr style="background-color: #f9f9f9;display: none" class="son{{ $item->id }}">
												<td>{{ $t->id }}</td>
												<td>{{ $t->name }}</td>
												<td>{{ $t->sort }}</td>
												<td><img src="{{ $t->pic_url }}" width="50"/></td>
												<td>{{ $t->created_at }}</td>
												<td>
													<div class="pull-left">
														@if(role('Album/Cat/update'))
															<a href="{{ U('Album/Cat/update',['id'=>$t->id])}}" class="btn btn-sm btn-warning pull-right">修改</a>
														@endif
														@if(role('Album/Cat/destroy'))
															<a href="{{ U('Album/Cat/destroy',['id'=>$t->id])}}" onclick="return confirm('你确定执行删除操作？');" class="btn btn-sm btn-danger pull-right">删除</a>
														@endif
													</div>
												</td>
											</tr>
									@endforeach
									@endif
							@endforeach
							@endif

						</tbody>
					</table>
					<div class="row">
						<div class="col-sm-6">
							<div class="dataTables_info" id="DataTables_Table_0_info"
								role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。</div>
						</div>
						<div class="col-sm-6">
						<div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
						{!! $list->setPath('')->appends(Request::all())->render() !!}
						</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	function showHidden(id){
		var text = $("#a"+id).text();
		if (text == '查看') {
            $("#a"+id).text('隐藏');
		} else {
            $("#a"+id).text('查看');
		}

		$(".son"+id).slideToggle(1000);
	}
</script>

@endsection